import { SvelteComponentTyped } from "svelte";
export interface VideoGameJsonLdProps extends JsonLdProps {
    keyOverride?: string;
    name: string;
    url?: string;
    image?: string;
    description?: string;
    languageName?: string | string[];
    translatorName?: string | string[];
    authorName?: string;
    aggregateRating?: AggregateRating;
    applicationCategory?: ApplicationCategory;
    platformName?: string | string[];
    operatingSystemName?: string | string[];
    datePublished?: string;
    keywords?: string;
    producerName?: string;
    producerUrl?: string;
    providerName?: string;
    providerUrl?: string;
    publisherName?: string | string[];
    offers?: Offers | Offers[];
    genreName?: string | string[];
    playMode?: GamePlayMode | GamePlayMode[];
    processorRequirements?: string;
    memoryRequirements?: string;
    storageRequirements?: string;
    trailer?: Video;
    reviews?: Review[];
}
import type { Offers, AggregateRating, GamePlayMode, Video, Review, ApplicationCategory } from '../types.js';
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: VideoGameJsonLdProps['keyOverride'];
        name: VideoGameJsonLdProps['name'];
        url?: VideoGameJsonLdProps['url'];
        image?: VideoGameJsonLdProps['image'];
        description?: VideoGameJsonLdProps['description'];
        languageName?: VideoGameJsonLdProps['languageName'];
        translatorName?: VideoGameJsonLdProps['translatorName'];
        authorName?: VideoGameJsonLdProps['authorName'];
        aggregateRating?: VideoGameJsonLdProps['aggregateRating'];
        applicationCategory?: VideoGameJsonLdProps['applicationCategory'];
        platformName?: VideoGameJsonLdProps['platformName'];
        operatingSystemName?: VideoGameJsonLdProps['operatingSystemName'];
        datePublished?: VideoGameJsonLdProps['datePublished'];
        keywords?: VideoGameJsonLdProps['keywords'];
        producerName?: VideoGameJsonLdProps['producerName'];
        producerUrl?: VideoGameJsonLdProps['producerUrl'];
        providerName?: VideoGameJsonLdProps['providerName'];
        providerUrl?: VideoGameJsonLdProps['providerUrl'];
        publisherName?: VideoGameJsonLdProps['publisherName'];
        offers?: VideoGameJsonLdProps['offers'];
        genreName?: VideoGameJsonLdProps['genreName'];
        playMode?: VideoGameJsonLdProps['playMode'];
        processorRequirements?: VideoGameJsonLdProps['processorRequirements'];
        memoryRequirements?: VideoGameJsonLdProps['memoryRequirements'];
        storageRequirements?: VideoGameJsonLdProps['storageRequirements'];
        trailer?: VideoGameJsonLdProps['trailer'];
        reviews?: VideoGameJsonLdProps['reviews'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type VideoGameProps = typeof __propDef.props;
export type VideoGameEvents = typeof __propDef.events;
export type VideoGameSlots = typeof __propDef.slots;
export default class VideoGame extends SvelteComponentTyped<VideoGameProps, VideoGameEvents, VideoGameSlots> {
}
export {};
